Package org.apache.commons.codec

# Class Resources

java.lang.Object
org.apache.commons.codec.Resources

public class Resources extends Object
Consider this class package private. Helps load resources.

Since:
  1.12

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Resources()`
  Deprecated.
  TODO Make private in 2.0.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static InputStream`
  `getInputStream(String name)`
  Gets a read-only stream on the contents of the resource specified by resName.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Resources

    @Deprecated public Resources()
    Deprecated.
    TODO Make private in 2.0.
    TODO Make private in 2.0.

- ## Method Details

  - ### getInputStream

    public static InputStream getInputStream(String name)
    Gets a read-only stream on the contents of the resource specified by resName. The mapping between the resource name and the stream is managed by this class's class loader.
    Parameters:
      `name` - The resource name.
    Returns:
      An input stream.
    See Also:
      - `ClassLoader.getResourceAsStream(String)`